# IntlDateFormatter::setTimeZoneId

# datefmt_set_timezone_id

(PHP 5 >= 5.3.0, PECL intl >= 1.0.0)

IntlDateFormatter::setTimeZoneId -- datefmt_set_timezone_id — Sets the time zone to use

Warning

This function was DEPRECATED in PHP 5.5.0, and REMOVED in PHP 7.0.0.

Alternatives to this function include:

- IntlDateFormatter::setTimeZone()

### Description

Object oriented style

public IntlDateFormatter::setTimeZoneId ( string `$zone` ) : bool

Procedural style

datefmt_set_timezone_id ( IntlDateFormatter `$fmt` , string `$zone` ) : bool

Sets the time zone to use.

### Parameters

`fmt`

  The formatter resource.

`zone`

  The time zone ID string of the time zone to use. If `NULL` or the empty string, the default time zone for the runtime is used.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Changelog

Version | Description
--- | ---
7.0.0 | This function has been removed.
5.5.0 | This function has been deprecated.

### Examples

Example #1 datefmt_set_timezone_id() example

`<?php
$fmt = datefmt_create(
'en_US',
IntlDateFormatter::FULL,
IntlDateFormatter::FULL,
'America/Los_Angeles',
IntlDateFormatter::GREGORIAN
);
echo 'timezone_id of the formatter is : ' . datefmt_get_timezone_id($fmt);
datefmt_set_timezone_id($fmt, 'CN');
echo 'Now timezone_id of the formatter is : ' . datefmt_get_timezone_id($fmt);
?>`

Example #2 OO example

`<?php
$fmt = new IntlDateFormatter(
'en_US',
IntlDateFormatter::FULL,
IntlDateFormatter::FULL,
'America/Los_Angeles',
IntlDateFormatter::GREGORIAN
);
echo 'timezone_id of the formatter is : ' . $fmt->getTimezoneId();
$fmt->setTimezoneId('CN');
echo 'Now timezone_id of the formatter is : ' . $fmt->getTimezoneId();
?>`

The above example will output:

    timezone_id of the formatter is : America/Los_Angeles
    Now timezone_id of the formatter is : CN

### See Also

- datefmt_get_timezone_id() - Get the timezone-id used for the IntlDateFormatter
- datefmt_create() - Create a date formatter